Source: node-request-promise-core
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
Section: javascript
Testsuite: autopkgtest-pkg-nodejs
Priority: optional
Build-Depends: chai,
               debhelper-compat (= 13),
               gulp,
               node-bluebird,
               node-body-parser,
               node-chalk,
               node-request,
               node-rimraf,
               node-stealthy-require,
               nodejs (>= 6),
               dh-sequence-nodejs
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/js-team/node-request-promise-core
Vcs-Git: https://salsa.debian.org/js-team/node-request-promise-core.git
Homepage: https://github.com/request/promise-core#readme
Rules-Requires-Root: no

Package: node-request-promise-core
Architecture: all
Depends: node-lodash (>= 4.17.11),
         nodejs (>= 6),
         ${misc:Depends}
Description: core logic for adding Promise support to request for Node.js
 This package is the core library of node-request-promise. Normal users should
 just use node-request-promise. It is only recommended to use this library
 directly, if you have very specific requirements.
 .
 Node.js is an event-based server-side JavaScript engine.
